Kodi Community Forum

Full Version: XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Qroach Wrote:it seems to be that we are missing the groups "netdev" & and "powerdev". I'm not certain what should be installed to add these groups, but from what i understand if you add these two groups and then add "xbmc" as a user in those groups, the xbmc-live postinst will install without any problems.

I just tried it and that works!

So the real question is what needs to be installed to add these two groups correctly?

netdev allows users to manage network connections via NetworkManager.

powerdev allows users to perform hibernate/suspend. This is from one of the dbus or hal packages, I forget which one.
Gave it another try. Please retry the steps at
http://forum.xbmc.org/showpost.php?p=360...tcount=432

You'll also find helpful comments about the various groups. Just read the script.
http://trac.xbmc.org/browser/branches/li...e/postinst

With the new policykit actions, I based them off of the actions found for my user account. If you're curious what each one does, do this.

Code:
polkit-action --action <action>
ceros Wrote:netdev allows users to manage network connections via NetworkManager.

powerdev allows users to perform hibernate/suspend. This is from one of the dbus or hal packages, I forget which one.

From what I've read "hal" no longer adds "powerdev"
Hello all,

Just to know if there was already a date planned when the repository for karmic would be set up?

Cheers!
ceros Wrote:Thought I look at the postinst issue, after hearing much nagging Laugh

This should be fixed now. Try this.

Code:
wget -O postinst http://trac.xbmc.org/browser/branches/linuxport/XBMC/tools/XBMCLive/postinst?format=txt
sudo mv postinst /var/lib/dpkg/info/xbmc-live.postinst
chmod a+x /var/lib/dpkg/info/xbmc-live.postinst
sudo dpkg-reconfigure xbmc-live

If this doesn't work, I'll need to see an output of this command.

Code:
sudo sh -x /var/lib/dpkg/info/xbmc-live.postinst configure


Hi,

it works for me.

Beware, I had to do a apt-get install again insteed of a dpkg-reconfigure as the installation was broken (in the meantime, I had tried to remove --purge and install again the package).

Code:
[email protected]:~$ sudo dpkg-reconfigure xbmc-live
/usr/sbin/dpkg-reconfigure: xbmc-live est cassé ou partiellement installé
[email protected]:~$ sudo apt-get install xbmc-live
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
xbmc-live est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0o d'espace disque supplémentaires seront utilisés.
Paramétrage de xbmc-live (9.04.2+svn21457-jaunty1) ...
Ajout de l'utilisateur «*xbmc*» au groupe «*floppy*»...
Ajout de l'utilisateur xbmc au groupe floppy
Terminé.
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.storage.mount-removable with constraint '' already exists
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.power-management.shutdown with constraint '' already exists
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.power-management.reboot with constraint '' already exists
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.power-management.set-powersave with constraint '' already exists
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.power-management.suspend with constraint '' already exists
polkit-auth: AuthorizationAlreadyExists: An authorization for uid 1001 for the action org.freedesktop.hal.power-management.hibernate with constraint '' already exists
* Configuring system and starting XBMC...                                                                                                                                                              [ OK ]

[email protected]:~$

I was using the PPA SVN version 21457.

Thank you!

Regards,
Typhoe
Hallo, are the icons (Fav, shutdown and so on when the are selected) inside xbmc fubared for everone with build 21457 or its a local problem ?
MrDVD Wrote:Hallo, are the icons (Fav, shutdown and so on when the are selected) inside xbmc fubared for everone with build 21457 or its a local problem ?
It's not `Just You[tm]`. Have the issue myself, and just seen another thread with the same report.

EDIT

Also broken in svn21496 which just finished building.
Teensy problem with the svn21650 build which just went up - the startup scripts refer to /usr/bin/runXBMC.sh but the installer creates /usr/bin/runXBMC

To fix either edit the scripts to point to the right name or simply link to it, as you prefer.
[ ln -s /usr/bin/runXBMC /usr/bin/runXBMC.sh ]
*edit*

User error. Big Grin
Hardy SVN is not compiling because of the outdated libmms?

Its all gone haywire now.
is it normal for the svn to be behind 5 days?

It doesnt look like its been updated since the 2nd.

Any thoughts?

Im stuck on R21936 since the 08-03-2009

Are we in a freeze?
nc88keyz Wrote:is it normal for the svn to be behind 5 days?

It doesnt look like its been updated since the 2nd.

Any thoughts?

Im stuck on R21936 since the 08-03-2009

Are we in a freeze?

I've been wondering the same thing. It was updated every day before. There's been some stuff checked in that I would really like to test.
updated scrap(xxx)ers Wink

you can grab the .xmls from the svn page and just drop em in.

its definately not working here though.
nc88keyz Wrote:updated scrap(xxx)ers Wink

you can grab the .xmls from the svn page and just drop em in.

its definately not working here though.


can you tell me where to drop them?

/usr/share/xbmc/system/scrapers/video

something like that?

when i update the ofdb.xml scraper ... i can't choose the scraper anymore when I'm in xbmc actually

it is just not listed anymore

somebody got an idea?
nc88keyz Wrote:is it normal for the svn to be behind 5 days?

It doesnt look like its been updated since the 2nd.

Any thoughts?

Im stuck on R21936 since the 08-03-2009

Are we in a freeze?

There is definitely something not working here. I see wattazoum hasn't written anything in these forums for a couple of months. You still around?

If I understand the information on https://edge.launchpad.net/~team-xbmc-svn/+archive/ppa correctly it seems like something went wrong when building 21936 for Hardy. Could that be stopping the building of xbmc for other Ubuntu versions as well?

/Daniel